ck_function_list Struct Reference

`#include <pkcs11.h>`

## Data Fields

struct ck_version | version
CK_C_Initialize | C_Initialize
CK_C_Finalize | C_Finalize
CK_C_GetInfo | C_GetInfo
CK_C_GetFunctionList | C_GetFunctionList
CK_C_GetSlotList | C_GetSlotList
CK_C_GetSlotInfo | C_GetSlotInfo
CK_C_GetTokenInfo | C_GetTokenInfo
CK_C_GetMechanismList | C_GetMechanismList
CK_C_GetMechanismInfo | C_GetMechanismInfo
CK_C_InitToken | C_InitToken
CK_C_InitPIN | C_InitPIN
CK_C_SetPIN | C_SetPIN
CK_C_OpenSession | C_OpenSession
CK_C_CloseSession | C_CloseSession
CK_C_CloseAllSessions | C_CloseAllSessions
CK_C_GetSessionInfo | C_GetSessionInfo
CK_C_GetOperationState | C_GetOperationState
CK_C_SetOperationState | C_SetOperationState
CK_C_Login | C_Login
CK_C_Logout | C_Logout
CK_C_CreateObject | C_CreateObject
CK_C_CopyObject | C_CopyObject
CK_C_DestroyObject | C_DestroyObject
CK_C_GetObjectSize | C_GetObjectSize
CK_C_GetAttributeValue | C_GetAttributeValue
CK_C_SetAttributeValue | C_SetAttributeValue
CK_C_FindObjectsInit | C_FindObjectsInit
CK_C_FindObjects | C_FindObjects
CK_C_FindObjectsFinal | C_FindObjectsFinal
CK_C_EncryptInit | C_EncryptInit
CK_C_Encrypt | C_Encrypt
CK_C_EncryptUpdate | C_EncryptUpdate
CK_C_EncryptFinal | C_EncryptFinal
CK_C_DecryptInit | C_DecryptInit
CK_C_Decrypt | C_Decrypt
CK_C_DecryptUpdate | C_DecryptUpdate
CK_C_DecryptFinal | C_DecryptFinal
CK_C_DigestInit | C_DigestInit
CK_C_Digest | C_Digest
CK_C_DigestUpdate | C_DigestUpdate
CK_C_DigestKey | C_DigestKey
CK_C_DigestFinal | C_DigestFinal
CK_C_SignInit | C_SignInit
CK_C_Sign | C_Sign
CK_C_SignUpdate | C_SignUpdate
CK_C_SignFinal | C_SignFinal
CK_C_SignRecoverInit | C_SignRecoverInit
CK_C_SignRecover | C_SignRecover
CK_C_VerifyInit | C_VerifyInit
CK_C_Verify | C_Verify
CK_C_VerifyUpdate | C_VerifyUpdate
CK_C_VerifyFinal | C_VerifyFinal
CK_C_VerifyRecoverInit | C_VerifyRecoverInit
CK_C_VerifyRecover | C_VerifyRecover
CK_C_DigestEncryptUpdate | C_DigestEncryptUpdate
CK_C_DecryptDigestUpdate | C_DecryptDigestUpdate
CK_C_SignEncryptUpdate | C_SignEncryptUpdate
CK_C_DecryptVerifyUpdate | C_DecryptVerifyUpdate
CK_C_GenerateKey | C_GenerateKey
CK_C_GenerateKeyPair | C_GenerateKeyPair
CK_C_WrapKey | C_WrapKey
CK_C_UnwrapKey | C_UnwrapKey
CK_C_DeriveKey | C_DeriveKey
CK_C_SeedRandom | C_SeedRandom
CK_C_GenerateRandom | C_GenerateRandom
CK_C_GetFunctionStatus | C_GetFunctionStatus
CK_C_CancelFunction | C_CancelFunction
CK_C_WaitForSlotEvent | C_WaitForSlotEvent

## Detailed Description

Definition at line 1013 of file pkcs11.h.

## Field Documentation

## C_CancelFunction

CK_C_CancelFunction ck_function_list::C_CancelFunction

Definition at line 1082 of file pkcs11.h.

## C_CloseAllSessions

CK_C_CloseAllSessions ck_function_list::C_CloseAllSessions

Definition at line 1030 of file pkcs11.h.

## C_CloseSession

CK_C_CloseSession ck_function_list::C_CloseSession

Definition at line 1029 of file pkcs11.h.

## C_CopyObject

CK_C_CopyObject ck_function_list::C_CopyObject

Definition at line 1037 of file pkcs11.h.

## C_CreateObject

CK_C_CreateObject ck_function_list::C_CreateObject

Definition at line 1036 of file pkcs11.h.

## C_Decrypt

CK_C_Decrypt ck_function_list::C_Decrypt

Definition at line 1050 of file pkcs11.h.

## C_DecryptDigestUpdate

CK_C_DecryptDigestUpdate ck_function_list::C_DecryptDigestUpdate

Definition at line 1071 of file pkcs11.h.

## C_DecryptFinal

CK_C_DecryptFinal ck_function_list::C_DecryptFinal

Definition at line 1052 of file pkcs11.h.

## C_DecryptInit

CK_C_DecryptInit ck_function_list::C_DecryptInit

Definition at line 1049 of file pkcs11.h.

## C_DecryptUpdate

CK_C_DecryptUpdate ck_function_list::C_DecryptUpdate

Definition at line 1051 of file pkcs11.h.

## C_DecryptVerifyUpdate

CK_C_DecryptVerifyUpdate ck_function_list::C_DecryptVerifyUpdate

Definition at line 1073 of file pkcs11.h.

## C_DeriveKey

CK_C_DeriveKey ck_function_list::C_DeriveKey

Definition at line 1078 of file pkcs11.h.

## C_DestroyObject

CK_C_DestroyObject ck_function_list::C_DestroyObject

Definition at line 1038 of file pkcs11.h.

## C_Digest

CK_C_Digest ck_function_list::C_Digest

Definition at line 1054 of file pkcs11.h.

## C_DigestEncryptUpdate

CK_C_DigestEncryptUpdate ck_function_list::C_DigestEncryptUpdate

Definition at line 1070 of file pkcs11.h.

## C_DigestFinal

CK_C_DigestFinal ck_function_list::C_DigestFinal

Definition at line 1057 of file pkcs11.h.

## C_DigestInit

CK_C_DigestInit ck_function_list::C_DigestInit

Definition at line 1053 of file pkcs11.h.

## C_DigestKey

CK_C_DigestKey ck_function_list::C_DigestKey

Definition at line 1056 of file pkcs11.h.

## C_DigestUpdate

CK_C_DigestUpdate ck_function_list::C_DigestUpdate

Definition at line 1055 of file pkcs11.h.

## C_Encrypt

CK_C_Encrypt ck_function_list::C_Encrypt

Definition at line 1046 of file pkcs11.h.

## C_EncryptFinal

CK_C_EncryptFinal ck_function_list::C_EncryptFinal

Definition at line 1048 of file pkcs11.h.

## C_EncryptInit

CK_C_EncryptInit ck_function_list::C_EncryptInit

Definition at line 1045 of file pkcs11.h.

## C_EncryptUpdate

CK_C_EncryptUpdate ck_function_list::C_EncryptUpdate

Definition at line 1047 of file pkcs11.h.

## C_Finalize

CK_C_Finalize ck_function_list::C_Finalize

Definition at line 1017 of file pkcs11.h.

## C_FindObjects

CK_C_FindObjects ck_function_list::C_FindObjects

Definition at line 1043 of file pkcs11.h.

## C_FindObjectsFinal

CK_C_FindObjectsFinal ck_function_list::C_FindObjectsFinal

Definition at line 1044 of file pkcs11.h.

## C_FindObjectsInit

CK_C_FindObjectsInit ck_function_list::C_FindObjectsInit

Definition at line 1042 of file pkcs11.h.

## C_GenerateKey

CK_C_GenerateKey ck_function_list::C_GenerateKey

Definition at line 1074 of file pkcs11.h.

## C_GenerateKeyPair

CK_C_GenerateKeyPair ck_function_list::C_GenerateKeyPair

Definition at line 1075 of file pkcs11.h.

## C_GenerateRandom

CK_C_GenerateRandom ck_function_list::C_GenerateRandom

Definition at line 1080 of file pkcs11.h.

## C_GetAttributeValue

CK_C_GetAttributeValue ck_function_list::C_GetAttributeValue

Definition at line 1040 of file pkcs11.h.

## C_GetFunctionList

CK_C_GetFunctionList ck_function_list::C_GetFunctionList

Definition at line 1019 of file pkcs11.h.

## C_GetFunctionStatus

CK_C_GetFunctionStatus ck_function_list::C_GetFunctionStatus

Definition at line 1081 of file pkcs11.h.

## C_GetInfo

CK_C_GetInfo ck_function_list::C_GetInfo

Definition at line 1018 of file pkcs11.h.

## C_GetMechanismInfo

CK_C_GetMechanismInfo ck_function_list::C_GetMechanismInfo

Definition at line 1024 of file pkcs11.h.

## C_GetMechanismList

CK_C_GetMechanismList ck_function_list::C_GetMechanismList

Definition at line 1023 of file pkcs11.h.

## C_GetObjectSize

CK_C_GetObjectSize ck_function_list::C_GetObjectSize

Definition at line 1039 of file pkcs11.h.

## C_GetOperationState

CK_C_GetOperationState ck_function_list::C_GetOperationState

Definition at line 1032 of file pkcs11.h.

## C_GetSessionInfo

CK_C_GetSessionInfo ck_function_list::C_GetSessionInfo

Definition at line 1031 of file pkcs11.h.

## C_GetSlotInfo

CK_C_GetSlotInfo ck_function_list::C_GetSlotInfo

Definition at line 1021 of file pkcs11.h.

## C_GetSlotList

CK_C_GetSlotList ck_function_list::C_GetSlotList

Definition at line 1020 of file pkcs11.h.

## C_GetTokenInfo

CK_C_GetTokenInfo ck_function_list::C_GetTokenInfo

Definition at line 1022 of file pkcs11.h.

## C_Initialize

CK_C_Initialize ck_function_list::C_Initialize

Definition at line 1016 of file pkcs11.h.

## C_InitPIN

CK_C_InitPIN ck_function_list::C_InitPIN

Definition at line 1026 of file pkcs11.h.

## C_InitToken

CK_C_InitToken ck_function_list::C_InitToken

Definition at line 1025 of file pkcs11.h.

## C_Login

CK_C_Login ck_function_list::C_Login

Definition at line 1034 of file pkcs11.h.

## C_Logout

CK_C_Logout ck_function_list::C_Logout

Definition at line 1035 of file pkcs11.h.

## C_OpenSession

CK_C_OpenSession ck_function_list::C_OpenSession

Definition at line 1028 of file pkcs11.h.

## C_SeedRandom

CK_C_SeedRandom ck_function_list::C_SeedRandom

Definition at line 1079 of file pkcs11.h.

## C_SetAttributeValue

CK_C_SetAttributeValue ck_function_list::C_SetAttributeValue

Definition at line 1041 of file pkcs11.h.

## C_SetOperationState

CK_C_SetOperationState ck_function_list::C_SetOperationState

Definition at line 1033 of file pkcs11.h.

## C_SetPIN

CK_C_SetPIN ck_function_list::C_SetPIN

Definition at line 1027 of file pkcs11.h.

## C_Sign

CK_C_Sign ck_function_list::C_Sign

Definition at line 1059 of file pkcs11.h.

## C_SignEncryptUpdate

CK_C_SignEncryptUpdate ck_function_list::C_SignEncryptUpdate

Definition at line 1072 of file pkcs11.h.

## C_SignFinal

CK_C_SignFinal ck_function_list::C_SignFinal

Definition at line 1061 of file pkcs11.h.

## C_SignInit

CK_C_SignInit ck_function_list::C_SignInit

Definition at line 1058 of file pkcs11.h.

## C_SignRecover

CK_C_SignRecover ck_function_list::C_SignRecover

Definition at line 1063 of file pkcs11.h.

## C_SignRecoverInit

CK_C_SignRecoverInit ck_function_list::C_SignRecoverInit

Definition at line 1062 of file pkcs11.h.

## C_SignUpdate

CK_C_SignUpdate ck_function_list::C_SignUpdate

Definition at line 1060 of file pkcs11.h.

## C_UnwrapKey

CK_C_UnwrapKey ck_function_list::C_UnwrapKey

Definition at line 1077 of file pkcs11.h.

## C_Verify

CK_C_Verify ck_function_list::C_Verify

Definition at line 1065 of file pkcs11.h.

## C_VerifyFinal

CK_C_VerifyFinal ck_function_list::C_VerifyFinal

Definition at line 1067 of file pkcs11.h.

## C_VerifyInit

CK_C_VerifyInit ck_function_list::C_VerifyInit

Definition at line 1064 of file pkcs11.h.

## C_VerifyRecover

CK_C_VerifyRecover ck_function_list::C_VerifyRecover

Definition at line 1069 of file pkcs11.h.

## C_VerifyRecoverInit

CK_C_VerifyRecoverInit ck_function_list::C_VerifyRecoverInit

Definition at line 1068 of file pkcs11.h.

## C_VerifyUpdate

CK_C_VerifyUpdate ck_function_list::C_VerifyUpdate

Definition at line 1066 of file pkcs11.h.

## C_WaitForSlotEvent

CK_C_WaitForSlotEvent ck_function_list::C_WaitForSlotEvent

Definition at line 1083 of file pkcs11.h.

## C_WrapKey

CK_C_WrapKey ck_function_list::C_WrapKey

Definition at line 1076 of file pkcs11.h.

## version

struct ck_version ck_function_list::version

Definition at line 1015 of file pkcs11.h.

The documentation for this struct was generated from the following file:

- src/lib/cryptoki_compat/pkcs11.h